#ifndef SHIP_H
#define SHIP_H

#include "aitest.h"

class ShipData;

class Ship:public QGraphicsItem
{
	public:
		Ship();
		~Ship();
		void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = 0);
		QRectF boundingRect() const;
		void setData(ShipData *sd);
	private:
		void createPath();
		ShipData *data;
		QPainterPath *shipPath;
};


#endif